Get Resource

Returns one Resource with current content, content metadata, kind, and version metadata.

Operation IDgetPlaybookResource
get/v3/playbook/resources/{resourceId}
Example requestcURL
curl -X GET 'https://api.sumr.co/v3/playbook/resources/{resourceId}' \
  -H 'Authorization: Bearer <token>'

Path parameters

resourceIdrequired

Immutable Resource id.

string

Body

This endpoint does not require a JSON request body.

Responses

200Resource returned.
PlaybookResourceDetailDto
{
  "properties": {
    "archivedAt": {
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
      "type": "string"
    },
    "catalogHumanRef": {
      "maxLength": 180,
      "minLength": 3,
      "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
      "type": "string"
    },
    "catalogId": {
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
      "type": "string"
    },
    "createdAt": {
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
      "type": "string"
    },
    "currentVersion": {
      "properties": {
        "archivedAt": {
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
          "type": "string"
        },
        "content": {
          "description": "Content returned by the service after loading it from the configured Resource content store; object storage keys are internal.",
          "type": "string"
        },
        "contentHash": {
          "maxLength": 128,
          "minLength": 32,
          "type": "string"
        },
        "contentSizeBytes": {
          "maximum": 9007199254740991,
          "minimum": 0,
          "type": "integer"
        },
        "id": {
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
          "type": "string"
        },
        "manifest": {
          "additionalProperties": {},
          "propertyNames": {
            "type": "string"
          },
          "type": "object"
        },
        "mediaType": {
          "maxLength": 120,
          "minLength": 1,
          "type": "string"
        },
        "publishedAt": {
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
          "type": "string"
        },
        "status": {
          "enum": [
            "draft",
            "published",
            "superseded",
            "archived"
          ],
          "type": "string"
        },
        "storageBackend": {
          "enum": [
            "object-storage",
            "postgres-text"
          ],
          "type": "string"
        },
        "supersededAt": {
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
          "type": "string"
        },
        "version": {
          "maxLength": 80,
          "minLength": 1,
          "type": "string"
        }
      },
      "required": [
        "id",
        "version",
        "contentHash",
        "contentSizeBytes",
        "mediaType",
        "storageBackend",
        "status",
        "manifest",
        "content"
      ],
      "type": "object"
    },
    "description": {
      "maxLength": 1000,
      "type": "string"
    },
    "facets": {
      "properties": {
        "capability": {
          "items": {
            "maxLength": 80,
            "minLength": 1,
            "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "type": "array"
        },
        "channel": {
          "items": {
            "maxLength": 80,
            "minLength": 1,
            "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "type": "array"
        },
        "framework": {
          "items": {
            "maxLength": 80,
            "minLength": 1,
            "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "type": "array"
        },
        "planAccess": {
          "items": {
            "maxLength": 80,
            "minLength": 1,
            "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "type": "array"
        },
        "technology": {
          "items": {
            "maxLength": 80,
            "minLength": 1,
            "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "type": "array"
        }
      },
      "type": "object"
    },
    "humanRef": {
      "maxLength": 260,
      "minLength": 5,
      "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
      "type": "string"
    },
    "id": {
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
      "type": "string"
    },
    "kind": {
      "enum": [
        "document",
        "topic",
        "reference",
        "team-member",
        "workflow",
        "lifecycle",
        "integration",
        "policy"
      ],
      "type": "string"
    },
    "manifest": {
      "additionalProperties": {},
      "propertyNames": {
        "type": "string"
      },
      "type": "object"
    },
    "slug": {
      "maxLength": 120,
      "minLength": 1,
      "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
      "type": "string"
    },
    "sourceScope": {
      "enum": [
        "sumr",
        "account"
      ],
      "type": "string"
    },
    "status": {
      "enum": [
        "draft",
        "active",
        "archived"
      ],
      "type": "string"
    },
    "title": {
      "maxLength": 220,
      "minLength": 1,
      "type": "string"
    },
    "updatedAt": {
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
      "type": "string"
    }
  },
  "required": [
    "id",
    "catalogId",
    "catalogHumanRef",
    "sourceScope",
    "slug",
    "humanRef",
    "kind",
    "title",
    "status",
    "manifest",
    "createdAt",
    "updatedAt",
    "currentVersion"
  ],
  "type": "object"
}